unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, FilterEdit;

type
  TForm1 = class(TForm)
    FilterEdit1: TFilterEdit;
    RadioGroup1: TRadioGroup;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    Bevel1: TBevel;
    Bevel2: TBevel;
    BitBtn1: TBitBtn;
    Label3: TLabel;
    Edit2: TEdit;
    Bevel3: TBevel;
    CheckBox2: TCheckBox;
    Label4: TLabel;
    Label5: TLabel;
    FilterEdit2: TFilterEdit;
    FilterEdit3: TFilterEdit;
    CheckBox3: TCheckBox;
    Label6: TLabel;
    Label7: TLabel;
    Bevel4: TBevel;
    Label9: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure FilterEdit2Exit(Sender: TObject);
    procedure FilterEdit3Exit(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure FilterEdit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0:FilterEdit1.FilterMode:=fmReal;
    1:FilterEdit1.FilterMode:=fmRealPos;
    2:FilterEdit1.FilterMode:=fmInteger;
    3:FilterEdit1.FilterMode:=fmCardinal;
    4:FilterEdit1.FilterMode:=fmLiteral;
    5:FilterEdit1.FilterMode:=fmMask;
    6:FilterEdit1.FilterMode:=fmDate;
    7:FilterEdit1.FilterMode:=fmTime;
    8:FilterEdit1.FilterMode:=fmCustom;
    9:FilterEdit1.FilterMode:=fmNone;
  end;
  if (FilterEdit1.FilterMode=fmReal) or (FilterEdit1.FilterMode=fmRealPos)
    or (FilterEdit1.FilterMode=fmInteger) or (FilterEdit1.FilterMode=fmCardinal) then
    begin
      Label4.Enabled:=true;
      Label5.Enabled:=true;
      FilterEdit2.Enabled:=true;
      FilterEdit3.Enabled:=true;
    end else
    begin
      Label4.Enabled:=false;
      Label5.Enabled:=false;
      FilterEdit2.Enabled:=false;
      FilterEdit3.Enabled:=false;
    end;
  If FilterEdit1.FilterMode=fmLiteral then CheckBox2.Enabled:=true else CheckBox2.Enabled:=false;  
  If FilterEdit1.FilterMode=fmMask then
  begin
    Label2.Enabled:=true;
    Edit1.Enabled:=true;
    CheckBox2.Enabled:=true;
  end else
  begin
    Label2.Enabled:=false;
    Edit1.Enabled:=false;
    If FilterEdit1.FilterMode<>fmLiteral then CheckBox2.Enabled:=false;
  end;
  If FilterEdit1.FilterMode=fmCustom then
  begin
    Label3.Enabled:=true;
    Edit2.Enabled:=true;
  end else
  begin
    Label3.Enabled:=false;
    Edit2.Enabled:=false;
  end;
  FilterEdit1.Text:='';
  FilterEdit1.SetFocus;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  FilterEdit1.BeepEnabled:=CheckBox1.Checked;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  FilterEdit1.FilterMask:=Edit1.Text;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  FilterEdit1.CustomChars:=Edit2.Text;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  FilterEdit1.OleChars:=CheckBox2.Checked;
end;

procedure TForm1.FilterEdit2Exit(Sender: TObject);
begin
  FilterEdit1.MaxValue:=FilterEdit2.Value;
end;

procedure TForm1.FilterEdit3Exit(Sender: TObject);
begin
  FilterEdit1.MinValue:=FilterEdit3.Value;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  FilterEdit1.EnterByTab:=CheckBox3.Checked;
end;

procedure TForm1.FilterEdit1Change(Sender: TObject);
begin
  Label7.Caption:=FilterEdit1.Value;
end;

end.
